*{
    box-sizing: border-box;
}

html, body{
    margin: 0;
    font-family: -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Helvetica Neue, Arial, Noto Sans, Liberation Sans, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", Segoe UI Symbol, "Noto Color Emoji";
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #fff;
    text-align: left;
    background: #222;
}

:root{
    --block-size: 125px;
    --content-max-width: 1200px;
}

.logo{
    max-width: 300px;
    height: auto;
    margin-top: 20px;
}

ul.blocklist{
    list-style: none;
    padding: 0px 0;
    margin: 30px 0;
    display: flex;
    overflow-y: scroll;
    gap: 30px;
    padding-right: 50px;
    height: calc(var(--block-size) + 30px);
    width: 100%;

    position: relative;
    overflow-x: scroll;
    overflow-y: hidden;
    scrollbar-width: none;
}

ul.blocklist li{
    background: repeating-linear-gradient(rgb(45, 51, 72), rgb(45, 51, 72) 0.155825%, rgb(147, 57, 244) 0.155825%, rgb(16, 95, 176) 100%);
    color: white;
    text-align: center;
    width: var(--block-size);
    height: var(--block-size);
    position: absolute;
    top: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 2px;
    margin-top: 20px;
    /* border-left: solid 16px #191c27;
    border-top: solid 20px #232838; */
}

ul.blocklist li::before {
    content: "";
    width: calc(.16* var(--block-size));
    height: var(--block-size);
    position: absolute;
    top: calc(-.096* var(--block-size));
    left: calc(-.16* var(--block-size));
    background-color: #191c27;
    transform: skewY(50deg);
    transform-origin: top;
}

ul.blocklist li:after {
    content: "";
    width: var(--block-size);
    height: calc(.192* var(--block-size));
    position: absolute;
    top: calc(-.192* var(--block-size));
    left: calc(-.16* var(--block-size));
    background-color: #232838;
    transform: skew(40deg);
    transform-origin: top;
}

ul.blocklist li p{
    margin: 0;
}

ul.blocklist li .size{
    font-size: 16px;
    font-weight: bold;
}

ul.blocklist li .transactions{
    font-size: 10px;
}

ul.blocklist li .timestamp{
    font-size: 12px;
}

.page-content{
    max-width: var(--content-max-width);
    margin: auto;
}

/*
    Einzelnen Block anzeigen
*/
.show-block{
    background: #24273e;
    padding: 20px;
    margin-top: 30px;
    margin-bottom: 30px;
}

.block-header{
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px;
}
.show-block table{
    width: 100%;
}
.show-block table thead td{
    font-weight: bold;
}
.show-block table thead tr td{
    background: #41466a;
}

.show-block table tr td{
    padding: 10px;
}
.show-block table tr:nth-child(odd){
    background: #181b2d;
}

.show-block table td span{
    font-size: 12px;
    color: #949494;
    padding-left: 3px;
}
